Author Topic: Aali's driver [v 0.7.10b] Help/Bugs/Suggestions  (Read 109499 times)

gjoerulv

  • No life
  • *
  • Posts: 1175
  • Karma: 35
  • me
    • View Profile
    • My Youtube
Re: Aali's driver [v 0.7.10b] Help/Bugs/Suggestions
« Reply #100 on: 2011-03-17 12:06:06 »
Sorry, here you go: http://www.mediafire.com/?6nf7b9usuh596w6
I forgot to mention that everything works fine if run with Windows 95/98 compatibility. In other words, it's no big deal. Just thought I should mention it.

I thought the scene.bin didn't have anything to do with it either. To find the culprit I did a fresh install, updated to 1.02, installed the custom driver and finally swapped between original and moded files, one at the time.

-Started with a moded flevel.lgp. Worked fine. Switched back to original flevel.lgp.
-Did the same with battle.lgp.

When the scene.bin were the only file that wasn't original, the game hanged before the eidos logo. I tried to update the lookup table in kernel.bin but the same thing happened. The only other, non original FF7 files present were the files from the custom driver download.
Then I installed my own mods. The same hang occurred. When I switched back to the original scene.bin it worked again. Unless I'm overlooking something here, the only non compatible file I see is the scene.bin. I'm able to recreate the situation with whatever mod that's installed by simply swapping that file. It always works with the original.

My scene.bin was 296kb. After emptying some scenes, the custom driver worked with a 280kb scene.bin.

Perhaps it's the crappy vista op I work on that's bad lol. In the end it's nothing to break a sweat over. I'm fully able to play the game with 95/98 compatibility.

Aali

  • No life
  • *
  • Posts: 1197
  • Karma: 116
    • View Profile
Re: Aali's driver [v 0.7.10b] Help/Bugs/Suggestions
« Reply #101 on: 2011-03-17 12:20:06 »
That scene.bin works just fine with no compatibility mode on XP SP3. Maybe I will look into it but since I can't reproduce it I assume the problem is on your end.

gjoerulv

  • No life
  • *
  • Posts: 1175
  • Karma: 35
  • me
    • View Profile
    • My Youtube
Re: Aali's driver [v 0.7.10b] Help/Bugs/Suggestions
« Reply #102 on: 2011-03-17 13:52:59 »
Yes, I guess it is. I seriously scratch my head over it though. You don't need to mind it on my behalf. Maybe if someone else gets the same prob it'll be worth looking into...

Timber

  • Insane poster
  • *
  • Posts: 383
  • Karma: 0
    • View Profile
Re: Aali's driver [v 0.7.10b] Help/Bugs/Suggestions
« Reply #103 on: 2011-03-18 02:58:41 »
Hi Aali,

Would you be able to possibly add a feature to disable the texture compression cache for field scenes?
Reasons for this being:

- Caching all of the field scenes would take up a whole heap of HDD space.
- Most field scenes are only viewed once in a playthrough, and the game would still delay because the cache hasn't been created yet.
- Any delay isn't really noticeable, unlike the battle/menu stuttering.
- To avoid any quality loss as a result of the compression.

Thanks for listening :)
« Last Edit: 2011-03-18 03:00:32 by Timber »

Aali

  • No life
  • *
  • Posts: 1197
  • Karma: 116
    • View Profile
Re: Aali's driver [v 0.7.10b] Help/Bugs/Suggestions
« Reply #104 on: 2011-03-18 03:15:45 »
Hi Timber,

Would you be able to possibly check if what you're asking for is in fact already happening?

Timber

  • Insane poster
  • *
  • Posts: 383
  • Karma: 0
    • View Profile
Re: Aali's driver [v 0.7.10b] Help/Bugs/Suggestions
« Reply #105 on: 2011-03-18 03:24:50 »
Haha just read you reply, I guess it's not an issue then!
Your description just says 'external textures' so naturally I assumed it meant all of them. :P

Aali

  • No life
  • *
  • Posts: 1197
  • Karma: 116
    • View Profile
Re: Aali's driver [v 0.7.10b] Help/Bugs/Suggestions
« Reply #106 on: 2011-03-18 03:30:28 »
Well I noticed during testing that some types of texture compression completely ruin the most basic field background (because of the tiled nature of the texture) so I turned it off for all of them.

Armorvil

  • Freak
  • *
  • Posts: 621
  • Karma: 0
  • Working on : FFVII Total Grudge
    • View Profile
Re: Aali's driver [v 0.7.10b] Help/Bugs/Suggestions
« Reply #107 on: 2011-03-20 23:38:07 »
Never mind about my previous texture problem, Aali (you know, related to my ATI graphics card). I finally got off my lazy ass and updated my drivers, and it works now  :-[ Shameful, I know...

Anyways, I can now appreciate this magnificence that is 0.7.10b ! :D

slibline

  • Guest
Re: Aali's driver [v 0.7.10b] Help/Bugs/Suggestions
« Reply #108 on: 2011-03-21 02:19:00 »
Armorvil, could you link me to those drivers? I've been using aali's 7.8 as well, as 7.10 has what looks like the same major texture issues for me too. I tried grabbing them from the AMD site (11.2?), but they didn't seem to do anything.

Zen

  • Insane poster
  • *
  • Posts: 403
  • Karma: -4
    • View Profile
Re: Aali's driver [v 0.7.10b] Help/Bugs/Suggestions
« Reply #109 on: 2011-03-21 08:24:03 »
Feature request (if at all possible): A hack to remove the check for Discs 2 and 3, so only Disc 1 is required to play the game. I doubt just the driver would be able to accomplish this, but it doesn't hurt to ask. I'm sure this is something every FF7 player wants (it wouldn't work with FF8, since there's no way to run the movie files from the hard drive).


Armorvil

  • Freak
  • *
  • Posts: 621
  • Karma: 0
  • Working on : FFVII Total Grudge
    • View Profile
Re: Aali's driver [v 0.7.10b] Help/Bugs/Suggestions
« Reply #110 on: 2011-03-21 11:23:39 »
Armorvil, could you link me to those drivers? I've been using aali's 7.8 as well, as 7.10 has what looks like the same major texture issues for me too. I tried grabbing them from the AMD site (11.2?), but they didn't seem to do anything.

Since I have a Radeon X1950 Pro, I just headed to AMD's homepage, and used the "Find a driver" function to get to this page. Then, I downloaded and installed the Catalyst Software Suite. Hope this helps.

slibline

  • Guest
Re: Aali's driver [v 0.7.10b] Help/Bugs/Suggestions
« Reply #111 on: 2011-03-21 11:58:29 »
Thank you. They were different from the ones I'm using, but still didn't seem to do the trick. Probably because I have a Radeon X1250, somewhere from back in the dark ages. I'll just chill with 7.8 or 7.9 until the new version of Aali's driver comes out, hopefully working with ATI's old stuff again.

Gamecollector

  • Guest
Re: Aali's driver [v 0.7.10b] Help/Bugs/Suggestions
« Reply #112 on: 2011-03-21 17:32:03 »
Since I have a Radeon X1950 Pro, I just headed to AMD's homepage, and used the "Find a driver" function to get to this page. Then, I downloaded and installed the Catalyst Software Suite. Hope this helps.
Well, all Catalyst versions from 7.12 and above have broken OGL support for legacy videocards.
As examples: Anachronox (glass blending, sendormintory fog etc).
So - use 7.11 or install 10.2 then replace opengl dlls (atioglxx.dll, atioglx2.dll, atiok3x2.dll) in the safe mode.

Kranmer

  • Freak
  • *
  • Posts: 767
  • Karma: 9
    • View Profile
Re: Aali's driver [v 0.7.10b] Help/Bugs/Suggestions
« Reply #113 on: 2011-03-21 22:13:52 »
Feature request (if at all possible): A hack to remove the check for Discs 2 and 3, so only Disc 1 is required to play the game. I doubt just the driver would be able to accomplish this, but it doesn't hurt to ask. I'm sure this is something every FF7 player wants (it wouldn't work with FF8, since there's no way to run the movie files from the hard drive).

I had also thought about doing something along those lines myself, so i experimented earlier on today and i came up with a way that still requires the CD to launch the game (any of the 3 gameplay Cd's) but doesn't require any CD in particular (meaning you could use disc3 to play on disc1 etc as long as its one of the 3 gameplay Cd's) but doing this is kind of a gray area (so i wont be releasing it), a moderator would probably put a stop to such a thing since its even closer to a no-cd.

Mod edit: I do not have any issues with this and I would not think Obesebear would either. It still requires one of the discs to play. Plus I am sure it would be handy for people that may have lost one of their discs. If anything this is better then that batch file that came out, since that removes the need for a disc entirely.
« Last Edit: 2011-03-21 23:41:25 by sl1982 »

Vgr

  • Global moderator
  • *
  • Posts: 2211
  • Karma: 35
  • If it quacks like a duck, it must be a duck
    • View Profile
Re: Aali's driver [v 0.7.10b] Help/Bugs/Suggestions
« Reply #114 on: 2011-03-21 22:58:27 »
With FF8, just moving the .PAK files to somewhere would do the trick. I tried pretty everything though, but it doesn't work.

Zen

  • Insane poster
  • *
  • Posts: 403
  • Karma: -4
    • View Profile
Re: Aali's driver [v 0.7.10b] Help/Bugs/Suggestions
« Reply #115 on: 2011-03-21 23:18:30 »
Feature request (if at all possible): A hack to remove the check for Discs 2 and 3, so only Disc 1 is required to play the game. I doubt just the driver would be able to accomplish this, but it doesn't hurt to ask. I'm sure this is something every FF7 player wants (it wouldn't work with FF8, since there's no way to run the movie files from the hard drive).

I had also thought about doing something along those lines myself, so i experimented earlier on today and i came up with a way that still requires the CD to launch the game (any of the 3 gameplay Cd's) but doesn't require any CD in particular (meaning you could use disc3 to play on disc1 etc as long as its one of the 3 gameplay Cd's) but doing this is kind of a gray area (so i wont be releasing it), a moderator would probably put a stop to such a thing since its even closer to a no-cd.

How is still requiring a CD to play the game close to being a No-CD? There's nothing ilegal about that at all, it's just like any other modification.

People here are far too sensitive about this stuff. Square has more important things to worry about than what we are modding in FF7.


sl1982

  • Administrator
  • *
  • Posts: 3718
  • Karma: 42
  • GUI Master :P
    • View Profile
Re: Aali's driver [v 0.7.10b] Help/Bugs/Suggestions
« Reply #116 on: 2011-03-21 23:42:07 »
Dammit I need to stop hitting the modify button when I am trying to quote. Anyways my answer to this is in his post.

slibline

  • Guest
Re: Aali's driver [v 0.7.10b] Help/Bugs/Suggestions
« Reply #117 on: 2011-03-22 11:32:07 »
Well, all Catalyst versions from 7.12 and above have broken OGL support for legacy videocards.
As examples: Anachronox (glass blending, sendormintory fog etc).
So - use 7.11 or install 10.2 then replace opengl dlls (atioglxx.dll, atioglx2.dll, atiok3x2.dll) in the safe mode.

Gave that a try, but unfortunately there are only Windows XP drivers available for drivers that old, nothing for Vista. I tried the XP ones anyway, but when I replaced the old files, "something very bad" happened according to Aali's driver. As it meant I couldn't play FFVII at all, I'm inclined to agree. I'm back to the normal drivers now. Thanks for the advice though.
« Last Edit: 2011-03-22 11:35:25 by slibline »

moothead

  • Fast newbie
  • *
  • Posts: 41
  • Karma: -1
    • View Profile
Re: Aali's driver [v 0.7.10b] Help/Bugs/Suggestions
« Reply #118 on: 2011-03-22 16:19:39 »
When I install the Team Avalanche Overhaul patch. It shows the Eidos logo them crashes. I have the 1.02 patch, the latest Aali's custom driver, Reunion patch and rejuvination patches installed.

This is the App.txt:

INFO: FF7/FF8 OpenGL driver version 0.7.10b
INFO: Auto-detected version: FF7 1.02 US English
INFO: ATI Technologies Inc. ATI Radeon HD 4800 Series          3.3.10524 Compatibility Profile Context
INFO: OpenGL 2.0 support detected
INFO: Found swap_control extension
INFO: Max texture size: 8192x8192
INFO: Number of texture units: 8
INFO: Original resolution 640x480, window size 1680x1050, output resolution 1680x1050, internal resolution 1920x1440
INFO: FBO extension detected, using fast scaling/postprocessing path
INFO: Shader limits: varying 128, vert uniform 16384, frag uniform 16384
INFO: vertex shader compile log:
Vertex shader was successfully compiled to run on hardware.

INFO: fragment shader compile log:
Fragment shader was successfully compiled to run on hardware.

INFO: main program link log:
Vertex shader(s) linked, fragment shader(s) linked.

INFO: FFMpeg movie player plugin loaded
INFO: FFMpeg version SVN-r25886, Copyright (c) 2000-2010 Fabrice Bellard, et al.
LOCK UNLOCK TEST
MATRIX INITIALIZE
INITIALIZE DD/D3D END
ERROR: could not open file C:\Program Files (x86)\Square Soft, Inc.\Final Fantasy VII\ff7input.cfg
initializing sound...
creating dsound primary buffer
reading audio file
loading static sounds
sound initialized
INITIALIZING MIDI...
selecting device 0:Microsoft GS Wavetable Synth, mid=1, pid=27,
midi data type: GENERAL MIDI
using midi data file: C:\Program Files (x86)\Square Soft, Inc.\Final Fantasy VII\Data\midi\midi.lgp
midiOutGetVolume returned: ffffffff
MIDI INITIALIZED
set music volume: 127
MIDI set volume: 127
100% of 127 = 127
set music volume: 127
MIDI set master volume: 100
MIDI set volume: 127
100% of 127 = 127
Entering MAIN
Exiting MAIN
START OF CREDITS!!!
INFO: E:\FF7\Movies\eidoslogo.avi; truemotion2/pcm_u8 320x240, 15.000000 FPS, duration: 10.133333, frames: 152
set music volume trans: 127->0, step=60
MIDI set volume trans: 127->0; step=60
MIDI stop - OK
MIDI stop - OK
END OF CREDITS!!!
Entering MAIN
set music volume: 127
MIDI set volume: 127
100% of 127 = 127
ERROR: unhandled exception
« Last Edit: 2011-03-22 16:39:21 by moothead »

gotenksssj22002

  • Fast newbie
  • *
  • Posts: 24
  • Karma: 0
    • View Profile
Re: Aali's driver [v 0.7.10b] Help/Bugs/Suggestions
« Reply #119 on: 2011-03-24 23:48:45 »
just wondering guys but since the latest version of the driver is broken when it comes to ff8 which version sud i use?
« Last Edit: 2011-03-25 04:22:43 by gotenksssj22002 »

Vgr

  • Global moderator
  • *
  • Posts: 2211
  • Karma: 35
  • If it quacks like a duck, it must be a duck
    • View Profile
Re: Aali's driver [v 0.7.10b] Help/Bugs/Suggestions
« Reply #120 on: 2011-03-25 00:18:03 »
Try to downgrade to 0.7.9b... it did for me.

gotenksssj22002

  • Fast newbie
  • *
  • Posts: 24
  • Karma: 0
    • View Profile
Re: Aali's driver [v 0.7.10b] Help/Bugs/Suggestions
« Reply #121 on: 2011-03-25 17:40:40 »
i've tryed that the games slower plus it crashes at the same point as the latest one  :(

yarLson

  • Freak
  • *
  • Posts: 708
  • Karma: 32
  • spr nrd
    • View Profile
Re: Aali's driver [v 0.7.10b] Help/Bugs/Suggestions
« Reply #122 on: 2011-03-25 19:24:03 »
haven't tried using the driver for 8 yet so I'm not sure if this will help, but have you tried turning off texture compression. That solved a lot of problem for me in ff7 with 0.710b

gotenksssj22002

  • Fast newbie
  • *
  • Posts: 24
  • Karma: 0
    • View Profile
Re: Aali's driver [v 0.7.10b] Help/Bugs/Suggestions
« Reply #123 on: 2011-03-25 19:44:33 »
i tryed turing it off still crashed at the same point cud be my vid card settings i surpose but i doubt that as i'm using the launcher that came before this with no probs so i think i'll wait untill alii releases a new driver before i mess around with the driver any more

HoistedbyPetard

  • Guest
Re: Aali's driver [v 0.7.10b] Help/Bugs/Suggestions
« Reply #124 on: 2011-03-27 06:21:12 »
Hm. A while ago my game had no music, only sound effects. On suggestion I switched from using out.ds.dll to out.wave.dll. When I loaded the game again, I the music was fixed, but the graphics quality was greatly lowered (to the point where the textures weren't even functioning properly; the mountains in the overworld were literally black blocks that covered with the white text that says 'TEXTURE'). So I checked the renderer and I saw that it'd switched to the SR. I tried to switch back to OpenGl, but it's labelled as OpenGL (BROKEN). Trying to use it anyway just causes a black screen at the corner of the monitor and a crash.

Anyone know what's wrong?